﻿using System.Diagnostics;
using CoreMvcApplication.Models;
using Microsoft.AspNetCore.Mvc;

namespace CoreMvcApplication.Controllers;

public class HomeController : Controller
{
    private readonly ILogger<Controller> _logger;

    public HomeController(ILogger<HomeController> logger)
    {
        _logger = logger;
    }

    public IActionResult Index()
    {
        return RedirectToActionPermanent("Index", "PaymentMethodSelect");
    }

    [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
    public IActionResult Error()
    {
        return View(new ErrorViewModel {RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier});
    }
}