﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.AmazonPayViewModels;

public class AuthorizeConfirmViewModel
{
    [Display(Name = "名前(配送先)")] public string ShippingName { get; set; }

    [Display(Name = "郵便番号")] public string ShippingPostalCode { get; set; }

    [Display(Name = "配送先住所1")] public string ShippingAddress1 { get; set; }

    [Display(Name = "配送先住所2")] public string ShippingAddress2 { get; set; }

    [Display(Name = "配送先住所3")] public string ShippingAddress3 { get; set; }

    [Display(Name = "電話番号")] public string ShippingPhone { get; set; }

    [Display(Name = "AmazonID")] public string BuyerId { get; set; }

    [Display(Name = "名前(購入者)")] public string BuyerName { get; set; }

    [Display(Name = "請求先住所1")] public string BillingAddress1 { get; set; }

    [Display(Name = "請求先住所2")] public string BillingAddress2 { get; set; }

    [Display(Name = "請求先住所3")] public string BillingAddress3 { get; set; }

    [Display(Name = "メールアドレス")] public string BuyerEmail { get; set; }

    [Display(Name = "お支払い方法")] public string PaymentPreferences { get; set; }

    [Display(Name = "取引金額")] public string Amount { get; set; }

    [Display(Name = "送料")] public string ShippingAmount { get; set; }

    [Display(Name = "金額")] public string UpdateAmount { get; set; }

    [Display(Name = "取引ID")] public string OrderId { get; set; }

    [Display(Name = "取引ステータス")] public string Mstatus { get; set; }

    [Display(Name = "結果コード")] public string VResultCode { get; set; }

    [Display(Name = "結果メッセージ")] public string MerrMsg { get; set; }

    public string CheckoutSessionId { get; set; }
    
    public string CheckoutResultReturnUrl { get; set; }
    
}