﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.AmazonPayViewModels;

public class ResultViewModel
{
    [Display(Name = "取引ID")] public string OrderId { get; set; }

    [Display(Name = "取引ステータス")] public string Mstatus { get; set; }

    [Display(Name = "結果コード")] public string VResultCode { get; set; }

    [Display(Name = "結果メッセージ")] public string MerrMsg { get; set; }

    [Display(Name = "決済センターの管理ID")] public string CenterOrderId { get; set; }

    [Display(Name = "決済センターのトランザクション管理ID")]
    public string CenterTransactionId { get; set; }

    [Display(Name = "決済センター応答日時")] public string CenterResponseDatetime { get; set; }

    [Display(Name = "返金可能金額")] public string RefundableAmount { get; set; }

    [Display(Name = "配送先：氏名")] public string ShippingName { get; set; }

    [Display(Name = "配送先：電話番号")] public string ShippingPhone { get; set; }

    [Display(Name = "配送先：住所１")] public string ShippingAddress1 { get; set; }

    [Display(Name = "配送先：住所２")] public string ShippingAddress2 { get; set; }

    [Display(Name = "配送先：住所３")] public string ShippingAddress3 { get; set; }

    [Display(Name = "配送先：都道府県")] public string ShippingPrefecture { get; set; }

    [Display(Name = "配送先：郵便番号")] public string ShippingPostalCode { get; set; }

}