﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.CarrierViewModels;

public class AdminTerminateViewModel
{
    [Required]
    [Display(Name = "取引ID")]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "キャリア選択")]
    [RegularExpression(@"\A(docomo|au|sb_ktai|sb_matomete)\z")]
    public string ServiceOptionType { get; set; }
}