﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.CvsViewModels;

public class CancelViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "決済サービスオプション")]
    [RegularExpression(@"\A(sej|econ|other)\z")]
    public string ServiceOptionType { get; set; }
}