﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.EmViewModels;

public class RemoveViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "決済サービスオプション")]
    [RegularExpression(@"\A(tcc\-redirect)\z")]
    public string ServiceOptionType { get; set; }

    [Required]
    [Display(Name = "ユーザID")]
    [StringLength(64)]
    public string UserId { get; set; }
}