﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.PayNowIdModels;

public class AccountEntryViewModel
{
    [Display(Name = "会員ID")]
    [Required]
    [StringLength(100)]
    public string AccountId { get; set; }

    [Display(Name = "入会年月日")]
    [RegularExpression(@"\A[0-9]{8}\z")]
    public string CreateDate { get; set; }

    [Display(Name = "入会処理区分")]
    [Required]
    [RegularExpression(@"\A(1|2)\z")]
    public string EntryType { get; set; }
}