﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.PayNowIdModels;

public class AccountWithdrawViewModel
{
    [Display(Name = "会員ID")]
    [Required]
    [StringLength(100)]
    public string AccountId { get; set; }

    [Display(Name = "退会年月日")]
    [RegularExpression(@"\A[0-9]{8}\z")]
    public string DeleteDate { get; set; }
}