﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.PayPalViewModels;

public class CaptureViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "売上金額")]
    [Range(1, 9999999)]
    public uint Amount { get; set; }
}