﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.RakutenViewModels;

public class CaptureViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Display(Name = "売上金額")]
    [Range(1, 99999999)]
    public uint? Amount { get; set; }
}