﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.RakutenViewModels;

public class ResultViewModel
{
    [Display(Name = "取引ID")] public string OrderId { get; set; }

    [Display(Name = "取引ステータス")] public string Mstatus { get; set; }

    [Display(Name = "結果コード")] public string VResultCode { get; set; }

    [Display(Name = "結果メッセージ")] public string MerrMsg { get; set; }

    [Display(Name = "楽天取引ID")] public string RakutenOrderId { get; set; }

    [Display(Name = "決済取引ID")] public string GatewayOrderId { get; set; }

    [Display(Name = "利用ポイント")] public string UsedPoint { get; set; }

    [Display(Name = "クレジットカードのブランド")] public string CardBrand { get; set; }

    [Display(Name = "クレジットカード番号の下４桁")] public string CardLast4 { get; set; }

    [Display(Name = "分割払いの回数")] public string CardInstallments { get; set; }

    [Display(Name = "セキュリティコード認証利用有無")] public string CardCvc { get; set; }

    [Display(Name = "3D セキュア認証利用有無")] public string Card3ds { get; set; }

    [Display(Name = "取引成立日時")] public string TransactionDatetime { get; set; }

    [Display(Name = "取消受付期限")] public string CancelExpirationTime { get; set; }

    [Display(Name = "売上受付期限")] public string CaptureExpirationTime { get; set; }

    [Display(Name = "金額変更受付期限")] public string UpdateExpirationTime { get; set; }

    [Display(Name = "与信延長受付期限")] public string ExtendAuthExpirationTime { get; set; }

    [Display(Name = "売上要求日時")] public string CaptureReqDatetime { get; set; }

    [Display(Name = "取消要求日時")] public string CancelReqDatetime { get; set; }

    [Display(Name = "残高")] public string Balance { get; set; }

    [Display(Name = "金額")] public string Amount { get; set; }

    [Display(Name = "楽天承諾時取引ID")] public string RakutenConsentOrderId { get; set; }

    [Display(Name = "顧客ID")] public string CustomerId { get; set; }

    [Display(Name = "元取引ID")] public string OriginalOrderId { get; set; }

    [Display(Name = "リダイレクトURL")] public string RedirectUrl { get; set; }
}