using System.Collections;
using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.SearchViewModels;

public class ServiceTypeAttribute : ValidationAttribute
{
    public override bool IsValid(object value)
    {
        if (value is IList list) return list.Count > 0;
        return false;
    }
}