﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.UpopViewModels;

public class ResultViewModel
{
    [Display(Name = "取引ID")] public string OrderId { get; set; }

    [Display(Name = "取引ステータス")] public string Mstatus { get; set; }

    [Display(Name = "結果コード")] public string VResultCode { get; set; }

    [Display(Name = "結果メッセージ")] public string MerrMsg { get; set; }

    [Display(Name = "トランザクションID(取引毎につけるID)")]
    public string CustTxn { get; set; }

    [Display(Name = "電文ID")] public string MarchTxn { get; set; }

    [Display(Name = "決済時刻(日本時間)")] public string TxnDatetimeJp { get; set; }

    [Display(Name = "決済時刻(中国時間)")] public string TxnDatetimeCn { get; set; }

    [Display(Name = "元売上金額")] public string CapturedAmount { get; set; }

    [Display(Name = "返品後の金額")] public string RemainingAmount { get; set; }

    [Display(Name = "清算金額")] public string SettleAmount { get; set; }

    [Display(Name = "清算日付")] public string SettleDate { get; set; }

    [Display(Name = "清算通貨種類")] public string SettleCurrency { get; set; }

    [Display(Name = "清算レート")] public string SettleRate { get; set; }

    [Display(Name = "決済センターとの取引ID")] public string UpopOrderId { get; set; }
}