using jp.veritrans.tercerog.mdk;
using Microsoft.AspNetCore.Mvc;

namespace CoreMvcApplication.Services;

public interface IMdkTransactionService
{
    public Transaction GetMdkTransactionInstance(ILogger<Controller> logger);

    public MerchantConfig GetMerchantConfigInstance(ILogger<Controller> logger);

    public T ExecuteMdkTransaction<T>(Transaction transaction, IRequestDto requestDto)
        where T : IResponseDto, new();
}