﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.AlipayViewModels;

public class ConfirmViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Display(Name = "レスポンスタイプ")]
    [RegularExpression(@"\A(|0|1)\z")]
    public string ResponseType { get; set; }
}