﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.AlipayViewModels;

public class ExecViewModel
{
    [Display(Name = "取引ID")] public string OrderId { get; set; }

    [Display(Name = "取引ステータス")] public string Mstatus { get; set; }

    [Display(Name = "結果コード")] public string VResultCode { get; set; }

    [Display(Name = "結果メッセージ")] public string MerrMsg { get; set; }

    public string EntryForm { get; set; }

    [Display(Name = "トランザクションID(取引毎につけるID)")]
    public string CustTxn { get; set; }

    [Display(Name = "決済センターとの取引ID")] public string CenterTradeId { get; set; }

    [Display(Name = "決済時刻(日本時間)")] public string PayTimeJp { get; set; }

    [Display(Name = "決済時刻(中国時間)")] public string PayTimeCn { get; set; }

    [Display(Name = "請求金額(中国元)")] public string BuyerChargedAmountCny { get; set; }

    [Display(Name = "QRコード")] public string QrCode { get; set; }

    [Display(Name = "QRコード画像URL")] public string QrCodeImgUrl { get; set; }

    [Display(Name = "QRコード画像URL(縮小)")] public string QrCodeSmallImgUrl { get; set; }

    [Display(Name = "QRコード画像URL(拡大)")] public string QrCodeLargeImgUrl { get; set; }

    public string PayType { get; set; }
}