﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.AlipayViewModels;

public class ResultViewModel
{
    [Display(Name = "取引ID")] public string OrderId { get; set; }

    [Display(Name = "取引ステータス")] public string Mstatus { get; set; }

    [Display(Name = "結果コード")] public string VResultCode { get; set; }

    [Display(Name = "結果メッセージ")] public string MerrMsg { get; set; }

    [Display(Name = "トランザクションID(取引毎につけるID)")]
    public string CustTxn { get; set; }

    [Display(Name = "決済センターとの取引ID")] public string CenterTradeId { get; set; }

    [Display(Name = "清算金額")] public string SettleAmount { get; set; }

    [Display(Name = "清算通貨種類")] public string SettleCurrency { get; set; }

    [Display(Name = "残高")] public string Balance { get; set; }
}