﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.LinepayViewModels;

public class CancelViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Display(Name = "減額金額")]
    [Range(1, 9999999)]
    public uint? Amount { get; set; }
}