﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.MpiViewModels;

public class ResultViewModel
{
    [Display(Name = "取引ID")] public string OrderId { get; set; }

    [Display(Name = "リクエストID")] public string RequestId { get; set; }

    [Display(Name = "MPI取引ステータス")] public string MpiMStatus { get; set; }

    [Display(Name = "カード取引ステータス")] public string CardMStatus { get; set; }

    [Display(Name = "取引ステータス")] public string Mstatus { get; set; }

    [Display(Name = "結果コード")] public string VResultCode { get; set; }

    [Display(Name = "通貨単位")] public string ReqCurrencyUnit { get; set; }

    [Display(Name = "トランザクションタイプ")] public string CardTransactionType { get; set; }

    [Display(Name = "センター要求日時")] public string CenterRequestDate { get; set; }

    [Display(Name = "センター応答日時")] public string CenterResponseDate { get; set; }

    [Display(Name = "接続先カード接続センター")] public string ConnectedCenterId { get; set; }

    [Display(Name = "結果メッセージ")] public string MerrMsg { get; set; }

    [Display(Name = "カード番号")] public string ReqCardNumber { get; set; }

    [Display(Name = "本人認証取引ステータス")] public string MpiMstatus { get; set; }

    [Display(Name = "本人認証結果コード")] public string MpiVresultCode { get; set; }

    [Display(Name = "カード結果コード")] public string CardMstatus { get; set; }

    [Display(Name = "取引金額")] public string ReqAmount { get; set; }

    [Display(Name = "仕向け先コード")] public string AcquirerCode { get; set; }

    [Display(Name = "承認番号")] public string AuthCode { get; set; }

    [Display(Name = "3Dメッセージバージョン")] public string DddMessageVersion { get; set; }

    [Display(Name = "3DトランザクションID")] public string DddTransactionId { get; set; }

    [Display(Name = "3DDSトランザクションID")] public string DddDsTransactionId { get; set; }

    [Display(Name = "3DサーバトランザクションID")] public string DddServerTransactionId { get; set; }

    [Display(Name = "3Dトランザクションステータス")] public string DddTransactionStatus { get; set; }

    [Display(Name = "3Dトランザクションステータス理由")] public string DddTransactionStatusReason { get; set; }

    [Display(Name = "3D CAVVアルゴリズム")] public string DddCavvAlgorithm { get; set; }

    [Display(Name = "3D CAVV")] public string DddCavv { get; set; }

    [Display(Name = "3D ECI")] public string DddEci { get; set; }
}