﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.PayPayViewModels;

public class RefundViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Display(Name = "決済種別")]
    [RegularExpression(@"\A(online)\z")]
    public string ServiceOptionType { get; set; }

    [Display(Name = "返金金額")]
    [Range(1, 99999999)]
    public uint? Amount { get; set; }
}