﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.PayPayViewModels;

public class ResultViewModel
{
    [Display(Name = "取引ID")] public string OrderId { get; set; }

    [Display(Name = "元取引ID")] public string OriginalOrderId { get; set; }

    [Display(Name = "取引ステータス")] public string Mstatus { get; set; }

    [Display(Name = "結果コード")] public string VResultCode { get; set; }

    [Display(Name = "結果メッセージ")] public string MerrMsg { get; set; }

    [Display(Name = "PayPay取引ID")] public string PayPayOrderId { get; set; }

    [Display(Name = "PayPay決済日時")] public string PayPayPaidDatetime { get; set; }

    [Display(Name = "残高")] public string Balance { get; set; }

    [Display(Name = "PayPay売上日時")] public string PayPayCapturedDatetime { get; set; }

    [Display(Name = "PayPay返金日時")] public string PayPayRefundedDatetime { get; set; }

    [Display(Name = "PayPay取消日時")] public string PayPayCancelledDatetime { get; set; }

    [Display(Name = "PayPay解約日時")] public string PayPayTerminatedDatetime { get; set; }

    [Display(Name = "トランザクションタイプ")] public string Command { get; set; }

    [Display(Name = "顧客決済情報")] public string UserKey { get; set; }
}