﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.RakutenViewModels;

public class UpdateAuthorizeViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Display(Name = "金額")]
    [Range(1, 9999999)]
    public uint? Amount { get; set; }

    [Display(Name = "与信延長フラグ")]
    [RegularExpression(@"\A(true|false)\z")]
    public string AuthExtensionFlag { get; set; }
}