using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.SaisonViewModels;

public class AuthorizeViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Display(Name = "金額")]
    [Required]
    [Range(1, 99999999)]
    public uint Amount { get; set; }
}