﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.SaisonViewModels;

public class CancelViewModel
{
    [Display(Name = "取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "カード取消フラグ")]
    [RegularExpression(@"\A(1|0)\z")]
    public string CardCancelFlag { get; set; }
}