﻿using System.ComponentModel.DataAnnotations;

namespace CoreMvcApplication.Models.UpopViewModels;

public class RefundViewModel
{
    [Display(Name = "返金対象取引ID")]
    [Required]
    [StringLength(100)]
    public string OrderId { get; set; }

    [Required]
    [Display(Name = "返金金額")]
    [Range(1, 999999999999)]
    public uint Amount { get; set; }
}